Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046820
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajorhave not tried2021-05-25 10:032021-06-01 15:29
ReporterjavietxeView Statuspublic 
Assigned TojavierRodriguez 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046820: Discount printName should be shown when it is defined instead of discount name

DescriptionIn the POS2, the printed name is not being taken into account when showing the list of discounts to apply in the discounts window. It shows always the value in the name column
Steps To ReproduceGo to backoffice-> discounts and promotions.

Write a printed name to a discount different from the name.

Go to the POS2 -> discounts

See that the name of the discount showing is the name.
TagsTakeaway
Attached Filespng file icon image_2021_05_24T17_10_40_521Z.png [^] (80,667 bytes) 2021-05-25 10:04

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0046822TAP closedjavierRodriguez Discount printName should be shown when it is defined instead of discount name 

-  Notes
(0128785)
hgbot (developer)
2021-05-30 18:31

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/502 [^]
(0128865)
hgbot (developer)
2021-06-01 15:29

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 2a4a8581469d40c3f6dfa8310301572211a966c9
Author: Javier Rodriguez Regueiro <javier.rodriguez@openbravo.com>
Date: 2021-06-01T15:28:44+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/2a4a8581469d40c3f6dfa8310301572211a966c9 [^]

Fixed ISSUE-46820: Show printName in discount panel

---
M web-jspack/org.openbravo.pos2/src/components/Discounts/ManualDiscount/DiscountPanelGrid/AppliedDiscounts.config.json
M web-jspack/org.openbravo.pos2/src/components/Discounts/ManualDiscount/DiscountPanelGrid/DiscountList.config.json
M web-jspack/org.openbravo.pos2/src/components/Discounts/OrderDiscount/OrderDiscountPanelGrid/AppliedOrderDiscountList.config.json
M web-jspack/org.openbravo.pos2/src/components/Discounts/OrderDiscount/OrderDiscountPanelGrid/OrderDiscountList.config.json
M web-jspack/org.openbravo.pos2/src/core/discount/ManualDiscountCollection/ManualDiscountCollection.js
M web-jspack/org.openbravo.pos2/src/core/discount/ManualDiscountCollection/__test__/__mock__/MockManualDiscount.js
---
(0128866)
hgbot (developer)
2021-06-01 15:29

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 792a0880634297a346ca3887aea4aaeac2982214
Author: Javier Rodriguez Regueiro <javier.rodriguez@openbravo.com>
Date: 2021-06-01T15:28:44+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/792a0880634297a346ca3887aea4aaeac2982214 [^]

Related to ISSUE-46820: Set name attribute instead of identifier in manual discount

---
M web-jspack/org.openbravo.pos2/src/components/Discounts/ManualDiscount/DiscountPanelGrid/AppliedDiscounts.config.json
M web-jspack/org.openbravo.pos2/src/components/Discounts/ManualDiscount/DiscountPanelGrid/DiscountList.config.json
M web-jspack/org.openbravo.pos2/src/components/Discounts/OrderDiscount/OrderDiscountPanelGrid/AppliedOrderDiscountList.config.json
M web-jspack/org.openbravo.pos2/src/components/Discounts/OrderDiscount/OrderDiscountPanelGrid/OrderDiscountList.config.json
M web-jspack/org.openbravo.pos2/src/core/discount/ManualDiscountCollection/ManualDiscountCollection.js
---
(0128867)
hgbot (developer)
2021-06-01 15:29

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/502 [^]

- Issue History
Date Modified Username Field Change
2021-05-25 10:03 javietxe New Issue
2021-05-25 10:03 javietxe Assigned To => Retail
2021-05-25 10:03 javietxe Triggers an Emergency Pack => No
2021-05-25 10:04 javietxe Tag Attached: Takeaway
2021-05-25 10:04 javietxe File Added: image_2021_05_24T17_10_40_521Z.png
2021-05-25 10:27 guilleaer Status new => scheduled
2021-05-25 10:27 guilleaer Assigned To Retail => javierRodriguez
2021-05-30 18:31 hgbot Note Added: 0128785
2021-06-01 15:29 hgbot Resolution open => fixed
2021-06-01 15:29 hgbot Status scheduled => closed
2021-06-01 15:29 hgbot Note Added: 0128865
2021-06-01 15:29 hgbot Note Added: 0128866
2021-06-01 15:29 hgbot Note Added: 0128867


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker